Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class GetDocumentStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement
            |
            +--com.bea.p13n.content.document.jdbc.GetDocumentStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement

public class GetDocumentStatement
extends CallableStatement

A callable statement which handles getting a single document.

This expects InParam1 to be the string id of the document to retrieve. OutParam1 will be the DocumentDef (or null if id not found).

Field Summary
`protected DocumentDef` | `document` Deprecated. The document gotten.
`protected String` | `documentId` Deprecated. The id of the document to get.

Fields inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`connection`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`GetDocumentStatement(Connection con)` Deprecated. Constructor.

Method Summary
`void` | `clearParameters()` Deprecated. Clear the parameters.
`void` | `close()` Deprecated. Close the statement.
`boolean` | `execute()` Deprecated. Execute the statement.
`Object` | `getObject(int index)` Deprecated. Get the output parameter.
`void` | `setObject(int index, Object obj)` Deprecated. Set the input parameter.
`void` | `setString(int index, String str)` Deprecated. Set the input parameter string.
`boolean` | `wasNull()` Deprecated. Tell if the metadata out param was null.

Methods inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`addBatch, addBatch, cancel, clearBatch, clearWarnings, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getConnection, getDate, getDate, getDate, getDate, getDocumentProvider, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getGeneratedKeys, getInt, getInt, getLong, getLong, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getObject, getObject, getObject, getParameterMetaData, getQueryTimeout, getRef, getRef, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUpdateCount, getURL, getURL, getWarnings, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setClob, setCursorName, setDate, setDate, setDate, setDate, setDouble, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setFloat, setInt, setInt, setLong, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setQueryTimeout, setRef, setShort, setShort, setString, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### documentId

    protected String documentId

  Deprecated.
  The id of the document to get.

### document

    protected DocumentDef document

  Deprecated.
  The document gotten.

Constructor Detail

### GetDocumentStatement

    public GetDocumentStatement(Connection con)

  Deprecated.
  Constructor.

Method Detail

### close

    public void close()

  Deprecated.
  Close the statement.

  Specified by:
    `close` in interface `Statement`
  Specified by:
    `close` in class `CallableStatement`

### clearParameters

    public void clearParameters()

  Deprecated.
  Clear the parameters.

  Specified by:
    `clearParameters` in interface `PreparedStatement`
  Specified by:
    `clearParameters` in class `CallableStatement`

### execute

    public boolean execute()
                    throws SQLException

  Deprecated.
  Execute the statement.

  Specified by:
    `execute` in interface `PreparedStatement`
  Specified by:
    `execute` in class `CallableStatement`
  Throws:
    `SQLException` - thrown on an error.

### setObject

    public void setObject(int index,
                          Object obj)
                   throws SQLException

  Deprecated.
  Set the input parameter.

  Specified by:
    `setObject` in interface `PreparedStatement`
  Specified by:
    `setObject` in class `CallableStatement`
  Throws:
    `SQLException` - thrown on invalid args.

### setString

    public void setString(int index,
                          String str)
                   throws SQLException

  Deprecated.
  Set the input parameter string.

  Specified by:
    `setString` in interface `PreparedStatement`
  Overrides:
    `setString` in class `CallableStatement`
  Throws:
    `SQLException` - thrown on invlid args.
  See Also:
    `setObject(int, java.lang.Object)`

### getObject

    public Object getObject(int index)
                     throws SQLException

  Deprecated.
  Get the output parameter.

  Specified by:
    `getObject` in interface `CallableStatement`
  Specified by:
    `getObject` in class `CallableStatement`
  Parameters:
    `index` - the output parameter index.
  Throws:
    `SQLException` - thrown on an error.

### wasNull

    public boolean wasNull()

  Deprecated.
  Tell if the metadata out param was null.

  Specified by:
    `wasNull` in interface `CallableStatement`
  Overrides:
    `wasNull` in class `CallableStatement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved